#### D.15.4.24 difformIsHomog

Procedure from library `difform.lib` (see difform_lib).

Usage:
  homog(df); df difform

Return:
  1, if df is homogeneous - 0, otherwise

Note:
  - the form 0 is homogeneous
  - be careful: difformIsHomog does not cast polynomials to differential forms. So before applying to a polynomial, a type cast should be done

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    /////////////////
    // Homogeneous //
    /////////////////
    homog(3*dx*dz - x8*dx*dy);
    ==> 0
    homog(12x*dx + dy - (y4-y5)*dz);
    ==> 0
    /////////////////////
    // Not homogeneous //
    /////////////////////
    homog(3 + x8*dy);
    ==> 0
    homog(x*dx+dy*dx);
    ==> 0
    // When applying homog to a polynomial which is considered
    // as a differential form, a type cast has to be done first
    homog(3x-y2);
    ==> 0
    difform df = 3x-y2;
    homog(df);
    ==> 1
    kill Omega_R,dx,dy,dz,df;

See also: difformDeg; difformIsHomogDeg.

User manual for Singular version 4.4.1, 2025, generated by texi2html.